@import url("https://fonts.googleapis.com/css2?family=Staatliches&display=swap");

body {
  background-color: black;
  min-height: calc(100vh - 80px);
  padding: 40px;
  background-image: url(bg.jpg);
  background-size: contain;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: "Staatliches", sans-serif;
  overflow-x: hidden;
}

img {
  pointer-events: none;
}

#logo {
  width: 40vw;
  min-width: 350px;
  max-width: 700px;
  margin-bottom: 40px;
}

#overlay {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: -1;
}

h1 {
  max-width: 80%;
  font-size: 40px;
  line-height: 40px;
  color: white;
  margin-top: 10px;
  text-align: center;
}

.flag {
  height: 40px;
  margin-right: 10px;
  vertical-align: top;
}

#facebook {
  height: 128px;
}

#facebook .cls-1 {
  fill: #1877f2;
}

a:hover #facebook .cls-1 {
  fill: white;
}

@media screen and (max-width: 1100px) {
  h1 {
    font-size: 30px;
    line-height: 30px;
  }

  .flag {
    height: 30px;
    margin-right: 6px;
  }

  #facebook {
    height: 100px;
  }
}